/*
 * Ejercicio6.java
 *
 * Creado el 29 de noviembre de 2007, 13:08
 */


package computacion.practica3;
import auxiliar.*;

/**
 * Ntese que tal y como est diseado el mtodo steffensenPF proporciona 
 * directamente el punto fijo de la funcin y no uno de sus ceros. Por eso
 * tenemos que trabajar con g(x) = cos x en lugar de f(x) = cos x - x. 
 *
 * @author Vctor Jimnez
 *
 * MTODOS NUMRICOS
 * LICENCIATURA DE MATEMTICAS
 * UNIVERSIDAD DE MURCIA
 */
public class Ejercicio6 {
    
    public static void main(String[] args) {
        double xini = 3000;
        double xfin;
        double pf;
        FuncionEj6 g = new FuncionEj6();
        
        try {
            pf = MetodosIterativos.steffensenPF(g, xini, 1E-10, 100);            
            System.out.println("x_0 = " + xini);
            System.out.println("Punto fijo (pf): " + pf);
            for (int i = 0; i <= 3; i++) {
                xfin = xini - ((g.eval(xini) - xini) * (g.eval(xini) - xini))
                        / (g.eval(g.eval(xini)) - 2 * g.eval(xini) + xini);
                System.out.println("|x_" + (i + 1) + " - pf| / "
                        + "|x_" + i + " - pf|^2 = "                         
                        + Math.abs(xfin - pf) /
                        (Math.abs(xini - pf) * Math.abs(xini - pf)) );
                xini = xfin;
            }
            
        } catch(MetodosIterativos.ErrorMetodosIterativos err) {            
        }
    }
    
}
