/*
 * Ejercicio3.java
 *
 * Creado el 27 de marzo de 2006, 22:21
 */


package metodosLineales.practica5;
import auxiliar.*;

/**
 *
 * @author Vctor Jimnez
 *
 * MTODOS NUMRICOS
 * LICENCIATURA DE MATEMTICAS
 * UNIVERSIDAD DE MURCIA
 */
public class Ejercicio3 {
    
    public static void main(String[] args) {
        double[][] A1 = {{10, 7, 8, 7}, {7, 5, 6, 5}, {8, 6, 10, 9}, 
                {7, 5, 9, 10}};   
        double[][] A2 = {{9.3746, 3.0416, - 2.4371}, {3.0416, 6.1832, 1.2163},
                {- 2.4371, 1.2163, 8.4429}};
        double[][] A3 = {{0.252, 0.36, 0.12}, {0.112, 0.16, 0.24},
                {0.147, 0.21, 0.25}};
        double[][] A4 = {{1.0, 0.01, 0.0001}, {1.0, 0.02, 0.0004},
                {1.0, 0.03, 0.009}};
        double[] b1 = {32, 23, 33, 31};
        double[] b2 = {9.2333, 8.2049, 3.9339};
        double[] b3 = {1, 2, 2};
        double[] b4 = {1, 0.99, 1};
        double[] sol;
                        
        try {
            System.out.println();
            System.out.println("SISTEMA 1");
            sol = Matrices.gaussParcial(A1, b1);            
            System.out.print("Solucin del primer sistema por el mtodo de"
                    + " Gauss con pivote parcial: ");
            System.out.println(Matrices.toString(sol));
            System.out.println("Norma del vector residual: " +
                    Matrices.norma(
                    Matrices.resta(b1, Matrices.producto(A1, sol))
                    ) ); 
            sol = Matrices.gaussTotal(A1, b1);            
            System.out.print("Solucin del primer sistema por el mtodo de"
                    + " Gauss con pivote total: ");
            System.out.println(Matrices.toString(sol));
            System.out.println("Norma del vector residual: " +
                    Matrices.norma(
                    Matrices.resta(b1, Matrices.producto(A1, sol))
                    ) );                              
        } catch(Matrices.ErrorMetodosLineales err) {
        }
        
        try {
            System.out.println();
            System.out.println("SISTEMA 2");
            sol = Matrices.gaussParcial(A2, b2);            
            System.out.print("Solucin del segundo sistema por el mtodo de"
                    + " Gauss con pivote parcial: ");
            System.out.println(Matrices.toString(sol));
            System.out.println("Norma del vector residual: " +
                    Matrices.norma(
                    Matrices.resta(b2, Matrices.producto(A2, sol))
                    ) ); 
            sol = Matrices.gaussTotal(A2, b2);            
            System.out.print("Solucin del segundo sistema por el mtodo de"
                    + " Gauss con pivote total: ");
            System.out.println(Matrices.toString(sol));
            System.out.println("Norma del vector residual: " +
                    Matrices.norma(
                    Matrices.resta(b2, Matrices.producto(A2, sol))
                    ) );                              
        } catch(Matrices.ErrorMetodosLineales err) {
        }
                        
        try {
            System.out.println();
            System.out.println("SISTEMA 3");
            sol = Matrices.gaussParcial(A3, b3);            
            System.out.print("Solucin del tercer sistema por el mtodo de"
                    + " Gauss con pivote parcial: ");
            System.out.println(Matrices.toString(sol));
            System.out.println("Norma del vector residual: " +
                    Matrices.norma(
                    Matrices.resta(b3, Matrices.producto(A3, sol))
                    ) ); 
            sol = Matrices.gaussTotal(A3, b3);            
            System.out.print("Solucin del tercer sistema por el mtodo de"
                    + " Gauss con pivote total: ");
            System.out.println(Matrices.toString(sol));
            System.out.println("Norma del vector residual: " +
                    Matrices.norma(
                    Matrices.resta(b3, Matrices.producto(A3, sol))
                    ) );                              
        } catch(Matrices.ErrorMetodosLineales err) {
        }
        
        try {
            System.out.println();
            System.out.println("SISTEMA 4");
            sol = Matrices.gaussParcial(A4, b4);            
            System.out.print("Solucin del cuarto sistema por el mtodo de"
                    + " Gauss con pivote parcial: ");
            System.out.println(Matrices.toString(sol));
            System.out.println("Norma del vector residual: " +
                    Matrices.norma(
                    Matrices.resta(b4, Matrices.producto(A4, sol))
                    ) ); 
            sol = Matrices.gaussTotal(A4, b4);            
            System.out.print("Solucin del cuarto sistema por el mtodo de"
                    + " Gauss con pivote total: ");
            System.out.println(Matrices.toString(sol));
            System.out.println("Norma del vector residual: " +
                    Matrices.norma(
                    Matrices.resta(b4, Matrices.producto(A4, sol))
                    ) );                              
        } catch(Matrices.ErrorMetodosLineales err) {
        }        
    }
        
}


