/*
 * Ejercicio3.java
 *
 * Creado el 16 de mayo de 2006, 13:20
 */


package metodosLineales.practica7;
import auxiliar.*;

/**
 *
 * @author Vctor Jimnez
 *
 * MTODOS NUMRICOS
 * LICENCIATURA DE MATEMTICAS
 * UNIVERSIDAD DE MURCIA
 */
public class Ejercicio3 {
    
    public static void main(String[] args) {
        double[][] A = {{2, - 1, 0, 0}, {- 1, 2, - 1, 0}, {0, - 1, 2, - 1},
                {0, 0, - 1, 2}};
        double[] b = {19, 19, - 3, - 12};
        double[] x0 = {0, 0, 0, 0};
        double[] xaprox = new double[4];
        
        System.out.println();
        System.out.println("Matriz A:");
        Matrices.escribe(A);
        System.out.println("Trmino independiente b:");
        Matrices.escribe(b);
        try {
            System.out.println();
            System.out.println("Solucin del sistema A x = b por Gauss Total:");
            Matrices.escribe(Matrices.gaussTotal(A, b));
        } catch(Matrices.ErrorMetodosLineales err) {
        }
        try {
            System.out.println();
            System.out.println("Mtodo de Jacobi (10 iteraciones)");
            Matrices.iterJacobi(A, b, 1E-7, 10, x0, true);
        } catch(Matrices.ErrorMetodosLineales err) {
        }
        try {
            System.out.println();
            System.out.println("Mtodo de Gauss-Seidel (10 iteraciones)");
            Matrices.iterGaussSeidel(A, b, 1E-7, 10, x0, true);
        } catch(Matrices.ErrorMetodosLineales err) {
        }
        try {
            System.out.println();
            System.out.println("Mtodo de Jacobi (100 iteraciones)");            
            xaprox = Matrices.iterJacobi(A, b, 1E-7, 100, x0, false);
            System.out.println("Solucin aproximada:");
            Matrices.escribe(xaprox);
        } catch(Matrices.ErrorMetodosLineales err) {
        }
        try {
            System.out.println();            
            System.out.println("Mtodo de Gauss-Seidel (100 iteraciones)");            
            xaprox = Matrices.iterGaussSeidel(A, b, 1E-7, 100, x0, false);
            System.out.println("Solucin aproximada:");
            Matrices.escribe(xaprox);
        } catch(Matrices.ErrorMetodosLineales err) {
        }
    }
    
}
